package org.gcube.datatransfer.test;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.Response.ResponseBuilder;

import org.gcube.common.authorization.library.provider.SecurityTokenProvider;
import org.gcube.common.scope.api.ScopeProvider;
import org.gcube.common.storagehub.client.StreamDescriptor;
import org.gcube.common.storagehub.client.plugins.AbstractPlugin;
import org.gcube.common.storagehub.client.proxies.ItemManagerClient;
import org.gcube.datatransfer.resolver.catalogue.resource.CkanCatalogueConfigurationsReader;
import org.gcube.datatransfer.resolver.catalogue.resource.GatewayCKANCatalogueReference;
import org.gcube.datatransfer.resolver.init.UriResolverSmartGearManagerInit;
import org.gcube.datatransfer.resolver.services.CatalogueResolver;
import org.gcube.datatransfer.resolver.services.StorageHubResolver;
import org.gcube.datatransfer.resolver.services.error.ExceptionManager;
import org.gcube.datatransfer.resolver.shub.StorageHubMetadataResponseBuilder;
import org.junit.Before;
import org.junit.Test;

import com.itextpdf.text.log.SysoCounter;


/**
 * The Class CatalogueResolverTest.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * May 13, 2019
 */
public class StorageHubTest {

	private static String entityName = "using_e-infrastructures_for_biodiversity_conservation";
	private static String entityContext = "ctlg";
	private static String vreName = "BlueBridgeProject";
	
	private String rootContextScope = "/d4science.research-infrastructures.eu";
	private String authorizationToken = "ea16e0fa-722a-4589-83b0-0a731d2d4039-843339462";
	
	//@Before
	public void init() {

		UriResolverSmartGearManagerInit.setRootContextScope(rootContextScope);
	}

	//@Test
	public void testStreamDescriptorInfo() {
		System.out.println("testStreamDescriptorInfo starts...");
		ScopeProvider.instance.set(rootContextScope);
		SecurityTokenProvider.instance.set(authorizationToken);
		String storageHubId = "E_NGJIUEYvU09sNG1YY0R2VGIyaStWdGhDSW9sSjRNdDRkdVI2RHRGb1BZMVBaVFlzMG1mOU5QUEtFM1hQeE9kbw==";
		try{

			ItemManagerClient client = AbstractPlugin.item().build();
			StreamDescriptor descriptor = client.resolvePublicLink(storageHubId);
			System.out.println("Descriptor: "+descriptor);

		}catch(Exception e){
			e.printStackTrace();
		}
	}
	
	
	
}
